Read Waypoint

This example request illustrates how to read a waypoint.

JSON

Request

GET /platform/records/waypoints/M83M-548:66913901,66973901?cc=1503055
Accept: application/x-gedcomx-v1+json
Authorization: Bearer YOUR_ACCESS_TOKEN_HERE
                
              

Response

HTTP/1.1 200 OK
Content-type: application/x-gedcomx-v1+json
X-processing-time: 3
Vary: Accept,Accept-Language,Accept-Encoding,Expect
Date: Sun, 03 Apr 1836 10:00:00 GMT-5
Cache-control: no-cache, no-store, no-transform, must-revalidate, max-age=0
Transfer-encoding: chunked
                
                  {
  "sourceDescriptions" : [ {
    "about" : "https://familysearch.org/recapi/waypoints/M83M-548:66913901,66973901?cc=1503055",
    "resourceType" : "http://gedcomx.org/Collection",
    "titles" : [ {
      "value" : "Township 115, Range 21"
    } ],
    "identifiers" : {
      "http://gedcomx.org/Primary" : [ "https://familysearch.org/recapi/waypoints/M83M-548:66913901,66973901?cc=1503055" ]
    }
  } ]
}
                
              

XML

Request

GET /platform/records/waypoints/M83M-548:66913901,66973901?cc=1503055
Accept: application/x-gedcomx-v1+xml
Authorization: Bearer YOUR_ACCESS_TOKEN_HERE
                
              

Response

HTTP/1.1 200 OK
Content-type: application/x-gedcomx-v1+xml
X-processing-time: 3
Vary: Accept,Accept-Language,Accept-Encoding,Expect
Date: Sun, 03 Apr 1836 10:00:00 GMT-5
Cache-control: no-cache, no-store, no-transform, must-revalidate, max-age=0
Transfer-encoding: chunked
                
                  <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<gedcomx xmlns:fs="http://familysearch.org/v1/" xmlns="http://gedcomx.org/v1/" xmlns:atom="http://www.w3.org/2005/Atom">
    <sourceDescription about="https://familysearch.org/recapi/waypoints/M83M-548:66913901,66973901?cc=1503055" resourceType="http://gedcomx.org/Collection">
        <title>Township 115, Range 21</title>
        <identifier type="http://gedcomx.org/Primary">https://familysearch.org/recapi/waypoints/M83M-548:66913901,66973901?cc=1503055</identifier>
    </sourceDescription>
</gedcomx>
                
              

Change Language

Feedback

Sending...

Feedback was sent.

Can't send feedback. Retry in 5 seconds.